> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get load balancer status



## OpenAPI

````yaml /api-reference/services_documented/cloud_api.yaml get /cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/status
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-15T06:37:28.230198+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
    x-displayName: Bare Metal
  - name: Container as a Service
    x-displayName: Container as a Service
  - name: Cost Reports
    x-displayName: Cost Reports
  - name: DDoS Protection
    x-displayName: DDoS Protection
  - name: Everywhere Inference
    x-displayName: Everywhere Inference
  - name: Everywhere Inference Apps
    x-displayName: Everywhere Inference Apps
  - name: File Shares
    x-displayName: File Shares
  - name: Floating IPs
    x-displayName: Floating IPs
  - name: Function as a Service
    x-displayName: Function as a Service
  - name: GPU Bare Metal
    x-displayName: GPU Bare Metal
  - name: GPU Virtual
    x-displayName: GPU Virtual
  - name: IP Ranges
    x-displayName: IP Ranges
  - name: Images
    x-displayName: Images
  - name: Instances
    x-displayName: Instances
  - name: Load Balancers
    x-displayName: Load Balancers
  - name: Logging
    x-displayName: Logging
  - name: Managed Kubernetes
    x-displayName: Managed Kubernetes
  - name: Managed PostgreSQL
    x-displayName: Managed PostgreSQL
  - name: Networks
    x-displayName: Networks
  - name: Placement Groups
    x-displayName: Placement Groups
  - name: Projects
    x-displayName: Projects
  - name: Quotas
    x-displayName: Quotas
  - name: Regions
    x-displayName: Regions
  - name: Registry
    x-displayName: Registry
  - name: Reservations
    x-displayName: Reservations
  - name: Reserved IPs
    x-displayName: Reserved IPs
  - name: Routers
    x-displayName: Routers
  - name: SSH Keys
    x-displayName: SSH Keys
  - name: Secrets
    x-displayName: Secrets
  - name: Security Groups
    x-displayName: Security Groups
  - name: Snapshot Schedules
    x-displayName: Snapshot Schedules
  - name: Snapshots
    x-displayName: Snapshots
  - name: Tasks
    x-displayName: Tasks
  - name: User Actions
    x-displayName: User Actions
  - name: User Role Assignments
    x-displayName: User Role Assignments
  - name: Volumes
    x-displayName: Volumes
paths:
  /cloud/v1/loadbalancers/{project_id}/{region_id}/{load_balancer_id}/status:
    get:
      tags:
        - Load Balancers
      summary: Get load balancer status
      operationId: LoadBalancerStatusInstanceViewSet.get
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project ID
          schema:
            description: Project ID
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region ID
          schema:
            description: Region ID
            example: 7
            examples:
              - 7
            title: Region Id
            type: integer
        - in: path
          name: load_balancer_id
          required: true
          description: Load-Balancer ID
          schema:
            description: Load-Balancer ID
            example: ac307687-31a4-4a11-a949-6bea1b2878f5
            examples:
              - ac307687-31a4-4a11-a949-6bea1b2878f5
            format: uuid4
            title: Load Balancer Id
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LoadBalancerStatusSerializer'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from gcore import Gcore

            client = Gcore(
                api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
            )
            load_balancer_status = client.cloud.load_balancers.statuses.get(
                load_balancer_id="ac307687-31a4-4a11-a949-6bea1b2878f5",
                project_id=1,
                region_id=7,
            )
            print(load_balancer_status.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/G-Core/gcore-go\"\n\t\"github.com/G-Core/gcore-go/cloud\"\n\t\"github.com/G-Core/gcore-go/option\"\n)\n\nfunc main() {\n\tclient := gcore.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tloadBalancerStatus, err := client.Cloud.LoadBalancers.Statuses.Get(\n\t\tcontext.TODO(),\n\t\t\"ac307687-31a4-4a11-a949-6bea1b2878f5\",\n\t\tcloud.LoadBalancerStatusGetParams{\n\t\t\tProjectID: gcore.Int(1),\n\t\t\tRegionID:  gcore.Int(7),\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", loadBalancerStatus.ID)\n}\n"
components:
  schemas:
    LoadBalancerStatusSerializer:
      properties:
        id:
          description: UUID of the entity
          example: 00000000-0000-4000-8000-000000000000
          examples:
            - 00000000-0000-4000-8000-000000000000
          format: uuid
          title: Id
          type: string
        listeners:
          description: Listeners of the Load Balancer
          items:
            $ref: '#/components/schemas/ListenerStatusSerializer'
          title: Listeners
          type: array
        name:
          description: Name of the load balancer
          example: My Load Balancer
          examples:
            - My Load Balancer
          title: Name
          type: string
        operating_status:
          $ref: '#/components/schemas/OperatingStatusEnum'
          description: Operating status of the entity
          examples:
            - ONLINE
            - DRAINING
            - OFFLINE
            - DEGRADED
            - ERROR
            - NO_MONITOR
        provisioning_status:
          $ref: '#/components/schemas/ProvisioningStatusEnum'
          description: Provisioning status of the entity
          examples:
            - ACTIVE
            - DELETED
            - ERROR
            - PENDING_CREATE
            - PENDING_UPDATE
            - PENDING_DELETE
        tags:
          description: >-
            List of key-value tags associated with the resource. A tag is a
            key-value pair that can be associated with a resource, enabling
            efficient filtering and grouping for better organization and
            management. Some tags are read-only and cannot be modified by the
            user. Tags are also integrated with cost reports, allowing cost data
            to be filtered based on tag keys or values.
          example:
            - key: my-tag
              read_only: false
              value: my-tag-value
          examples:
            - - key: my-tag
                read_only: false
                value: my-tag-value
          items:
            $ref: '#/components/schemas/TagSerializer'
          title: Tags
          type: array
      required:
        - id
        - operating_status
        - provisioning_status
        - name
        - listeners
      title: LoadBalancerStatusSerializer
      type: object
    ListenerStatusSerializer:
      properties:
        id:
          description: UUID of the entity
          example: 00000000-0000-4000-8000-000000000000
          examples:
            - 00000000-0000-4000-8000-000000000000
          format: uuid
          title: Id
          type: string
        name:
          description: Name of the load balancer listener
          example: My Load Balancer Listener
          examples:
            - My Load Balancer Listener
          title: Name
          type: string
        operating_status:
          $ref: '#/components/schemas/OperatingStatusEnum'
          description: Operating status of the entity
          examples:
            - ONLINE
            - DRAINING
            - OFFLINE
            - DEGRADED
            - ERROR
            - NO_MONITOR
        pools:
          description: Pools of the Listeners
          items:
            $ref: '#/components/schemas/PoolStatusSerializer'
          title: Pools
          type: array
        provisioning_status:
          $ref: '#/components/schemas/ProvisioningStatusEnum'
          description: Provisioning status of the entity
          examples:
            - ACTIVE
            - DELETED
            - ERROR
            - PENDING_CREATE
            - PENDING_UPDATE
            - PENDING_DELETE
      required:
        - id
        - operating_status
        - provisioning_status
        - name
        - pools
      title: ListenerStatusSerializer
      type: object
    OperatingStatusEnum:
      enum:
        - DEGRADED
        - DRAINING
        - ERROR
        - NO_MONITOR
        - OFFLINE
        - ONLINE
      title: OperatingStatusEnum
      type: string
    ProvisioningStatusEnum:
      enum:
        - ACTIVE
        - DELETED
        - ERROR
        - PENDING_CREATE
        - PENDING_DELETE
        - PENDING_UPDATE
      title: ProvisioningStatusEnum
      type: string
    TagSerializer:
      description: >-
        A tag is a key-value pair that can be associated with a resource,

        enabling efficient filtering and grouping for better organization and
        management.

        Some tags are read-only and cannot be modified by the user.

        Tags are also integrated with cost reports, allowing cost data to be
        filtered based on tag keys or values.
      properties:
        key:
          description: >-
            Tag key. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag
          examples:
            - my-tag
          title: Key
          type: string
        read_only:
          description: If true, the tag is read-only and cannot be modified by the user
          example: false
          examples:
            - false
          title: Read Only
          type: boolean
        value:
          description: >-
            Tag value. Maximum 255 characters. Cannot contain spaces, tabs,
            newlines, empty string or '=' character.
          example: my-tag-value
          examples:
            - my-tag-value
          title: Value
          type: string
      required:
        - key
        - value
        - read_only
      title: TagSerializer
      type: object
    PoolStatusSerializer:
      properties:
        health_monitor:
          anyOf:
            - $ref: '#/components/schemas/HealthMonitorStatusSerializer'
            - type: 'null'
          default: null
          description: Health Monitor of the Pool
        id:
          description: UUID of the entity
          example: 00000000-0000-4000-8000-000000000000
          examples:
            - 00000000-0000-4000-8000-000000000000
          format: uuid
          title: Id
          type: string
        members:
          description: Members (servers) of the pool
          items:
            $ref: '#/components/schemas/MemberStatusSerializer'
          title: Members
          type: array
        name:
          description: Name of the load balancer pool
          example: My Load Balancer Pool
          examples:
            - My Load Balancer Pool
          title: Name
          type: string
        operating_status:
          $ref: '#/components/schemas/OperatingStatusEnum'
          description: Operating status of the entity
          examples:
            - ONLINE
            - DRAINING
            - OFFLINE
            - DEGRADED
            - ERROR
            - NO_MONITOR
        provisioning_status:
          $ref: '#/components/schemas/ProvisioningStatusEnum'
          description: Provisioning status of the entity
          examples:
            - ACTIVE
            - DELETED
            - ERROR
            - PENDING_CREATE
            - PENDING_UPDATE
            - PENDING_DELETE
      required:
        - id
        - operating_status
        - provisioning_status
        - name
        - members
      title: PoolStatusSerializer
      type: object
    HealthMonitorStatusSerializer:
      properties:
        id:
          description: UUID of the entity
          example: 00000000-0000-4000-8000-000000000000
          examples:
            - 00000000-0000-4000-8000-000000000000
          format: uuid
          title: Id
          type: string
        operating_status:
          $ref: '#/components/schemas/OperatingStatusEnum'
          description: Operating status of the entity
          examples:
            - ONLINE
            - DRAINING
            - OFFLINE
            - DEGRADED
            - ERROR
            - NO_MONITOR
        provisioning_status:
          $ref: '#/components/schemas/ProvisioningStatusEnum'
          description: Provisioning status of the entity
          examples:
            - ACTIVE
            - DELETED
            - ERROR
            - PENDING_CREATE
            - PENDING_UPDATE
            - PENDING_DELETE
        type:
          $ref: '#/components/schemas/HealthMonitorTypeEnum'
          description: Type of the Health Monitor
          examples:
            - HTTP
            - HTTPS
            - PING
            - TCP
            - TLS_HELLO
            - UDP_CONNECT
            - K8S
      required:
        - id
        - operating_status
        - provisioning_status
        - type
      title: HealthMonitorStatusSerializer
      type: object
    MemberStatusSerializer:
      properties:
        address:
          description: Address of the member (server)
          example: 95.85.95.85
          examples:
            - 95.85.95.85
            - 2.56.220.2
          format: ipvanyaddress
          title: Address
          type: string
        id:
          description: UUID of the entity
          example: 00000000-0000-4000-8000-000000000000
          examples:
            - 00000000-0000-4000-8000-000000000000
          format: uuid
          title: Id
          type: string
        operating_status:
          $ref: '#/components/schemas/OperatingStatusEnum'
          description: Operating status of the entity
          examples:
            - ONLINE
            - DRAINING
            - OFFLINE
            - DEGRADED
            - ERROR
            - NO_MONITOR
        protocol_port:
          description: Port of the member (server)
          example: 53
          examples:
            - 53
            - 80
            - 443
          exclusiveMaximum: 65536
          exclusiveMinimum: 0
          title: Protocol Port
          type: integer
        provisioning_status:
          $ref: '#/components/schemas/ProvisioningStatusEnum'
          description: Provisioning status of the entity
          examples:
            - ACTIVE
            - DELETED
            - ERROR
            - PENDING_CREATE
            - PENDING_UPDATE
            - PENDING_DELETE
      required:
        - id
        - operating_status
        - provisioning_status
        - address
        - protocol_port
      title: MemberStatusSerializer
      type: object
    HealthMonitorTypeEnum:
      enum:
        - HTTP
        - HTTPS
        - K8S
        - PING
        - TCP
        - TLS-HELLO
        - UDP-CONNECT
      title: HealthMonitorTypeEnum
      type: string
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````